View Issue Details

IDProjectCategoryView StatusLast Update
0032714Open CASCADEOCCT:Documentationpublic2021-12-13 14:56
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032714: Documentation - drop VS2010 from minimal requirements
DescriptionVS2010 has incomplete C++11 support and should be removed from minimal requirements.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Activities

git

2021-12-05 00:36

administrator   ~0105674

Branch CR32714 has been created by kgv.

SHA-1: 9a65cfaa52d0312a2626fc54b837ece72cdf2daf


Detailed log of new commits:

Author: kgv
Date: Sun Dec 5 00:36:18 2021 +0300

    0032714: Documentation - drop VS2010 from minimal requirements

kgv

2021-12-05 00:37

developer   ~0105675

Patch is ready for review
- OCCT: branch CR32714.

git

2021-12-05 00:44

administrator   ~0105676

Branch CR32714 has been updated forcibly by kgv.

SHA-1: 9108265c0f22496a3efc1a909b9cf1607154dc48

git

2021-12-05 00:50

administrator   ~0105677

Branch CR32714 has been updated forcibly by kgv.

SHA-1: 1f64b1ee3fa10f0cdb5809ce05acb626603842b4

git

2021-12-05 00:52

administrator   ~0105678

Branch CR32714 has been updated forcibly by kgv.

SHA-1: cbb887313b0c75d93e54cd2e7df8b7e9d7dfc4d0

git

2021-12-05 00:59

administrator   ~0105679

Branch CR32714 has been updated forcibly by kgv.

SHA-1: 833d65a5a0bfd861305d308d33bb5c3032e1191b

osa

2021-12-06 11:34

developer   ~0105692

The patch was reviewed

smoskvin

2021-12-11 11:34

administrator   ~0105802

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105890

Branch CR32714 has been deleted by kgv.

SHA-1: 833d65a5a0bfd861305d308d33bb5c3032e1191b

Related Changesets

occt: master 68a8b152

2021-12-04 21:36:18

kgv


Committer: smoskvin Details Diff
0032714: Documentation - drop VS2010 from minimal requirements Affected Issues
0032714
mod - dox/build/build_3rdparty/building_3rdparty.md Diff File
mod - dox/introduction/introduction.md Diff File
mod - dox/upgrade/upgrade.md Diff File
mod - dox/user_guides/foundation_classes/foundation_classes.md Diff File

Issue History

Date Modified Username Field Change
2021-12-05 00:33 kgv New Issue
2021-12-05 00:33 kgv Assigned To => kgv
2021-12-05 00:36 git Note Added: 0105674
2021-12-05 00:37 kgv Test case number => N/A
2021-12-05 00:37 kgv Note Added: 0105675
2021-12-05 00:37 kgv Assigned To kgv => osa
2021-12-05 00:37 kgv Status new => resolved
2021-12-05 00:44 git Note Added: 0105676
2021-12-05 00:50 git Note Added: 0105677
2021-12-05 00:52 git Note Added: 0105678
2021-12-05 00:59 git Note Added: 0105679
2021-12-06 11:34 osa Note Added: 0105692
2021-12-06 11:34 osa Assigned To osa => bugmaster
2021-12-06 11:34 osa Status resolved => reviewed
2021-12-11 11:34 smoskvin Note Added: 0105802
2021-12-11 11:34 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master 68a8b152
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105890